Bug 44123 - About dialog doesn't show bit-ness (64-bit, 32-bit) of the LO build
Summary: About dialog doesn't show bit-ness (64-bit, 32-bit) of the LO build
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on: 58663 61683
Blocks: About-Dialog
  Show dependency treegraph
 
Reported: 2011-12-24 06:17 UTC by Ihar Filipau
Modified: 2018-09-16 19:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ihar Filipau 2011-12-24 06:17:02 UTC
About dialog doesn't show bit-ness - 64-bit, 32-bit - of the LO build.

I gather for Linux it is not so important: most distros are now either fully 64bit or fully 32bit (as OSS software goes). 

Mac OS X doesn't seem to have 64-bit builds at the moment.

But on Windows, finding bitness of the version installed is bit tricky otherwise. At least I found only one, tricky way. One need to find the LO (aka soffice.exe) in the Task Manager window (which to my knowledge isn't the most end-user friendly tool) and see the bit-ness from there: on 64-bit Windows, 32-bit processes are marked with '*32' suffix.
Comment 1 Gerry 2013-03-02 11:32:21 UTC
Since there is currently no 64-Bit version for Mac and Windows, this enhancement request depends on bug 58663 and bug 61683.

Thanks for reporting this bug!
Comment 2 Don't use this account, use tml@iki.fi 2013-08-08 11:33:51 UTC
Why would it *need* to show? Those that actually understand what bitness means know how to find it (as you described for Windows).
Comment 3 retired 2014-05-07 12:59:26 UTC
iTunes does show 64-bit info. And turn the question around: if an About window exists, why not display info about the software at hand?

Still valid for 4.2.4.2.
Comment 4 Adolfo Jayme 2015-01-25 05:58:51 UTC
This commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=bbde245ababf33ac704df116557e4849cc520df8 adds the suffix “(x64)” for the new 64-bit builds for Windows.
Comment 5 Xisco Faulí 2016-09-15 22:01:54 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 6 DavidO 2016-09-18 12:08:41 UTC
I've added bit-ness information to About dialog on Windows 64bit build only. Not sure if it should also be added for Linux build as well.